* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
  font-family: Georgia, "Times New Roman", Times, serif;
}

:root {
  --themeColor: rgba(34, 47, 71, 100%);
  --style1: rgba(211, 21, 132, 100%);
  --style2: rgba(21, 122, 221, 100%);
  --textColor: #fff;
  --textColor2: rgba(221, 221, 221, 100%);
}

body {
  width: 100%;
  height: 690px;
  /* background-color: var(--themeColor); */
  display: flex;
  justify-content: center;
  align-items: center;
}

body main {
  border: 2px solid var(--textColor);
  border-radius: 20px;
  background-color: var(--themeColor);
  padding: 10px 10px;
  width: 500px;
}

body main header {
  display: block;
  /* border: 1px solid red; */
}
body main div {
  display: flex;
  align-items: last baseline;
  /* border: 1px solid red; */
}

body main div b {
  color: var(--style2);
  text-decoration: underline;
}

body main div img {
  width: 90px;
  height: 90px;
  /* border: 1px solid var(--textColor2); */
  border-radius: 50%;
  object-fit: cover;
  object-position: center;
  overflow: hidden;
}

body main header h2 {
  font-size: 27px;
  font-family: sans-serif;
  font-weight: 600;
  color: var(--textColor);
}

body main header h1 {
  /* border: 1px solid white; */
  font-size: 36px;
  color: var(--textColor2);
  font-weight: 600;
  display: flex;
  justify-content: right;
  padding-right: 15px;
}

body main header h1::before {
  content: "";
  position: relative;
  top: 35px;
  left: 170px;
  height: 3px;
  width: 180px;
  border-radius: 2px;
  background-color: var(--style2);
  box-shadow: 7px 6px 1px var(--style1);
}
body main header p span {
  font-size: 14px;
  font-weight: 600;
  padding-right: 5px;
  font-family: monospace;
  text-transform: uppercase;
  text-decoration: underline;
  color: var(--style);
}

body main header p span b {
  color: var(--style1);
  font-size: 30px;
}

body main header p {
  color: var(--textColor2);
  margin-bottom: 12px;
  max-width: 500px;
  text-align: left;
  margin-top: 10px;
}

body main form {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 15px;
  padding: 10px 5px;
  /* border: 2px solid red; */
}
body main form input {
  height: 5vh;
  width: 90%;
  border-radius: 12px;
  text-align: center;
  font-size: 20px;
}

body main form #remembermetxt {
  height: 14px;
  width: 14px;
  position: relative;
  right: 180px;
}

body main form #remembermetxt::before {
  content: "Remember_Me.";
  font-size: 15px;
  font-family: monospace;
  position: relative;
  left: 25px;
  bottom: 5px;
  height: 14px;
  width: 110px;
  color: var(--textColor);
}

body main form input:hover {
  box-shadow: 2px 6px 6px var(--textColor);
  background-color: var(--themeColor);
  border-color: var(--textColor);
  transition: 0.2s;
}

body main form #signinButton {
  font-size: 15px;
  width: 85%;
  height: 34px;
  border: 3px solid var(--themeColor);
  border-radius: 12px;
  box-shadow: 2px 6px 10px var(--style2);
  transition: 0.3s;
}

body main form #signinButton:hover {
  font-size: 17px;
  letter-spacing: 4px;
  color: var(--textColor);
  background-color: var(--style2);
  border: 1px solid var(--themeColor);
  border-radius: 12px;
  box-shadow: 2px 6px 10px var(--style1);
  transition: 0.3s;
}

body main form #signinButton:active {
  letter-spacing: 4px;
  color: var(--textColor);
  background-color: var(--themeColor);
  border: 1px solid var(--textColor);
  border-radius: 12px;
  box-shadow: 2px 6px 10px var(--textColor);
}

body main form a {
  color: var(--textColor2);
  letter-spacing: 1px;
}

body main footer p {
  text-align: center;
  margin-top: 10px;
  color: var(--textColor2);
}

body main footer h4 {
  margin-top: 5px;
  text-transform: capitalize;
  text-align: center;
  font-family: monospace;
  font-weight: 600;
  color: var(--style2);
}

body main footer h4 a {
  color: var(--style1);
  text-transform: uppercase;
  font-size: 12px;
  font-family: monospace;
  font-weight: 600;
  transition: 0.2s;
}

body main footer h4 a b {
  color: var(--style2);
  font-size: 23px;
}

body main footer h4 a:hover {
  color: var(--style1);
  text-shadow: -2px -8px var(--textColor);
  transition: 0.2s;
}

@media only screen and (max-width: 400px) {
  body main {
    display: flex;
    flex-direction: column;
    padding: 15px 15px;
  }
  body main header {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
  }
  body main div {
    display: flex;
    width: 95%;
    flex-direction: column;
    align-items: center;
    border-bottom: 2px solid var(--style1);
  }
  body main div img {
    width: 50px;
    height: 50px;
  }
  body main header h1 {
    letter-spacing: 15px;
    text-align: center;
    display: block;
    margin-top: 5px;
  }
  body main header h1::before {
    display: block;
    position: relative;
    top: 40px;
    left: 0%;
    width: 95%;
  }
  body main header p {
    text-align: center;
  }
  body main form #remembermetxt {
    height: 14px;
    width: 14px;
    position: relative;
    right: 140px;
  }
}

@media only screen and (max-width: 320px){
  body main div img {
    width: 40px;
    height: 40px;
  }
    body main header h1 {
    letter-spacing: 7px;
    text-align: center;
    display: block;
    margin-top: 5px;
  }  
  body main form #remembermetxt {
    height: 14px;
    width: 14px;
    position: relative;
    right: 70px;
  }
}
